### Virtual Method

# Phosh DBusMountOperationHandler handle_ask_password

#### Declaration [src]

    gboolean
    handle_ask_password (
      PhoshDBusMountOperationHandler* object,
      GDBusMethodInvocation* invocation,
      const gchar* arg_object_id,
      const gchar* arg_message,
      const gchar* arg_icon_name,
      const gchar* arg_default_user,
      const gchar* arg_default_domain,
      guint arg_flags
    )

#### Description [src]

Handler for the `PhoshDBusMountOperationHandler::handle-ask-password` signal.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the function.

`arg_object_id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_message`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_icon_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_default_user`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_default_domain`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg_flags`

  Type: `guint`

  No description available.

#### Return value

Type: `gboolean`

No description available.